%define tarname Pygments

Name:           python-pygments
Version:        2.0.2
Release:        1%dist
Summary:        Syntax highlighting package written in Python
Group:          Development/Python
License:        BSD
URL:            http://pygments.org/
Source0:        http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
Patch0:         fix-shell-injection-in-font-manager.patch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       python-pkg-resources
BuildArch:      noarch

%description
Pygments is a syntax highlighting package written in Python.  It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.  Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p 1

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}
install -Dm0644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1/pygmentize.1

%files 
%license LICENSE
%doc AUTHORS CHANGES TODO
%{python_sitelib}/*
%{_bindir}/pygmentize
%_mandir/man1/pygmentize.*
